## McdConnection McdConnection — Connection class representing Telepathy connection class |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-connection.h>

                        McdConnection;
    McdAccount *        mcd_connection_get_account          (McdConnection *connection);
    gboolean            mcd_connection_request_channel      (McdConnection *connection,
                                                             McdChannel *channel);
    gboolean            mcd_connection_cancel_channel_request
                                                            (McdConnection *connection,
                                                             guint operation_id,
                                                             const gchar *requestor_client_id,
                                                             GError **error);
    void                mcd_connection_close                (McdConnection *connection);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdConnection

## Properties

      "account"                  McdAccount*           : Read / Write / Construct Only
      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only
      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only
      "tp-connection"            TpConnection*         : Read
      "tp-manager"               TpConnectionManager*  : Read / Write / Construct Only

## Signals

      "connection-status-changed"                      : Run Last / Has Details
      "ready"                                          : Run Last / Has Details
      "self-nickname-changed"                          : Run Last / Has Details
      "self-presence-changed"                          : Run Last / Has Details

## Description

FIXME

## Details

### McdConnection

    typedef struct _McdConnection McdConnection;

### mcd_connection_get_account ()

    McdAccount *        mcd_connection_get_account          (McdConnection *connection);

`connection` : |
Returns : |

### mcd_connection_request_channel ()

    gboolean            mcd_connection_request_channel      (McdConnection *connection,
                                                             McdChannel *channel);

`connection` : |
`channel` : |
Returns : |

### mcd_connection_cancel_channel_request ()

    gboolean            mcd_connection_cancel_channel_request
                                                            (McdConnection *connection,
                                                             guint operation_id,
                                                             const gchar *requestor_client_id,
                                                             GError **error);

`connection` : |
`operation_id` : |
`requestor_client_id` : |
`error` : |
Returns : |

### mcd_connection_close ()

    void                mcd_connection_close                (McdConnection *connection);

`connection` : |

## Property Details

### The `"account"` property

      "account"                  McdAccount*           : Read / Write / Construct Only

Account.

### The `"dbus-daemon"` property

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only

DBus daemon.

### The `"dispatcher"` property

      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only

Dispatcher.

### The `"tp-connection"` property

      "tp-connection"            TpConnection*         : Read

Telepathy Connection.

### The `"tp-manager"` property

      "tp-manager"               TpConnectionManager*  : Read / Write / Construct Only

Telepathy Manager.

## Signal Details

### The `"connection-status-changed"` signal

    void                user_function                      (McdConnection *mcdconnection,
                                                            guint          arg1,
                                                            guint          arg2,
                                                            gpointer       user_data)          : Run Last / Has Details

`mcdconnection` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"ready"` signal

    void                user_function                      (McdConnection *mcdconnection,
                                                            gpointer       user_data)          : Run Last / Has Details

`mcdconnection` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"self-nickname-changed"` signal

    void                user_function                      (McdConnection *mcdconnection,
                                                            gchar         *arg1,
                                                            gpointer       user_data)          : Run Last / Has Details

`mcdconnection` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"self-presence-changed"` signal

    void                user_function                      (McdConnection *mcdconnection,
                                                            guint          arg1,
                                                            gchar         *arg2,
                                                            gchar         *arg3,
                                                            gpointer       user_data)          : Run Last / Has Details

`mcdconnection` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.